BCObjectIdentifiers (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.bc

## Interface BCObjectIdentifiers

-     public interface BCObjectIdentifiers

  iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle

  1.3.6.1.4.1.22554

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `bc` iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle 1.3.6.1.4.1.22554
    `static ASN1ObjectIdentifier` | `bc_pbe` pbe(1) algorithms 1.3.6.1.4.1.22554.1
    `static ASN1ObjectIdentifier` | `bc_pbe_sha1` SHA-1(1) 1.3.6.1.4.1.22554.1.1
    `static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12` SHA-1.PKCS12; 1.3.6.1.4.1.22554.1.1.2
    `static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12_aes128_cbc` 1.3.6.1.4.1.22554.1.1.2.1.2
    `static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12_aes192_cbc` 1.3.6.1.4.1.22554.1.1.2.1.22
    `static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs12_aes256_cbc` 1.3.6.1.4.1.22554.1.1.2.1.42
    `static ASN1ObjectIdentifier` | `bc_pbe_sha1_pkcs5` SHA-1.PKCS5; 1.3.6.1.4.1.22554.1.1.1
    `static ASN1ObjectIdentifier` | `bc_pbe_sha224` SHA-2.SHA-224; 1.3.6.1.4.1.22554.1.2.4
    `static ASN1ObjectIdentifier` | `bc_pbe_sha256` SHA-2.SHA-256; 1.3.6.1.4.1.22554.1.2.1
    `static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12` SHA-256.PKCS12; 1.3.6.1.4.1.22554.1.2.1.2
    `static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12_aes128_cbc` 1.3.6.1.4.1.22554.1.1.2.2.2
    `static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12_aes192_cbc` 1.3.6.1.4.1.22554.1.1.2.2.22
    `static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs12_aes256_cbc` 1.3.6.1.4.1.22554.1.1.2.2.42
    `static ASN1ObjectIdentifier` | `bc_pbe_sha256_pkcs5` SHA-256.PKCS12; 1.3.6.1.4.1.22554.1.2.1.1
    `static ASN1ObjectIdentifier` | `bc_pbe_sha384` SHA-2.SHA-384; 1.3.6.1.4.1.22554.1.2.2
    `static ASN1ObjectIdentifier` | `bc_pbe_sha512` SHA-2.SHA-512; 1.3.6.1.4.1.22554.1.2.3

- - ### Field Detail

    - #### bc

          static final ASN1ObjectIdentifier bc

      iso.org.dod.internet.private.enterprise.legion-of-the-bouncy-castle

      1.3.6.1.4.1.22554

    - #### bc_pbe

          static final ASN1ObjectIdentifier bc_pbe

      pbe(1) algorithms

      1.3.6.1.4.1.22554.1

    - #### bc_pbe_sha1

          static final ASN1ObjectIdentifier bc_pbe_sha1

      SHA-1(1)

      1.3.6.1.4.1.22554.1.1

    - #### bc_pbe_sha256

          static final ASN1ObjectIdentifier bc_pbe_sha256

      SHA-2.SHA-256; 1.3.6.1.4.1.22554.1.2.1

    - #### bc_pbe_sha384

          static final ASN1ObjectIdentifier bc_pbe_sha384

      SHA-2.SHA-384; 1.3.6.1.4.1.22554.1.2.2

    - #### bc_pbe_sha512

          static final ASN1ObjectIdentifier bc_pbe_sha512

      SHA-2.SHA-512; 1.3.6.1.4.1.22554.1.2.3

    - #### bc_pbe_sha224

          static final ASN1ObjectIdentifier bc_pbe_sha224

      SHA-2.SHA-224; 1.3.6.1.4.1.22554.1.2.4

    - #### bc_pbe_sha1_pkcs5

          static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs5

      SHA-1.PKCS5; 1.3.6.1.4.1.22554.1.1.1

    - #### bc_pbe_sha1_pkcs12

          static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12

      SHA-1.PKCS12; 1.3.6.1.4.1.22554.1.1.2

    - #### bc_pbe_sha256_pkcs5

          static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs5

      SHA-256.PKCS12; 1.3.6.1.4.1.22554.1.2.1.1

    - #### bc_pbe_sha256_pkcs12

          static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12

      SHA-256.PKCS12; 1.3.6.1.4.1.22554.1.2.1.2

    - #### bc_pbe_sha1_pkcs12_aes128_cbc

          static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12_aes128_cbc

      1.3.6.1.4.1.22554.1.1.2.1.2

    - #### bc_pbe_sha1_pkcs12_aes192_cbc

          static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12_aes192_cbc

      1.3.6.1.4.1.22554.1.1.2.1.22

    - #### bc_pbe_sha1_pkcs12_aes256_cbc

          static final ASN1ObjectIdentifier bc_pbe_sha1_pkcs12_aes256_cbc

      1.3.6.1.4.1.22554.1.1.2.1.42

    - #### bc_pbe_sha256_pkcs12_aes128_cbc

          static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12_aes128_cbc

      1.3.6.1.4.1.22554.1.1.2.2.2

    - #### bc_pbe_sha256_pkcs12_aes192_cbc

          static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12_aes192_cbc

      1.3.6.1.4.1.22554.1.1.2.2.22

    - #### bc_pbe_sha256_pkcs12_aes256_cbc

          static final ASN1ObjectIdentifier bc_pbe_sha256_pkcs12_aes256_cbc

      1.3.6.1.4.1.22554.1.1.2.2.42